#pragma once

typedef struct _tf_ssb_t tf_ssb_t;
typedef struct _tf_ssb_connections_t tf_ssb_connections_t;

tf_ssb_connections_t* tf_ssb_connections_create(tf_ssb_t* ssb);
void tf_ssb_connections_destroy(tf_ssb_connections_t* connections);

void tf_ssb_connections_store(tf_ssb_connections_t* connections, const char* host, int port, const char* key);
void tf_ssb_connections_set_attempted(tf_ssb_connections_t* connections, const char* host, int port, const char* key);
void tf_ssb_connections_set_succeeded(tf_ssb_connections_t* connections, const char* host, int port, const char* key);
